Subject: [bug#64249] [PATCH ocaml-team v4 0/9]

From: pukkamustard <[email-masked]>
Date: Fri, 03 Nov 2023 11:11:56 +0000

Hi,

Thanks for the report!

DABY-SEESARAM Arnaud <[email-masked]> writes:

> It seems that in the recent patch series (number 19770), the package
> ocaml-opam-file-format was not upgraded from version 2.1.4 to 2.1.5.
> Is there a reason for this choice?

No particular reason. I was unaware that opam 2.1.5 requires an updated
ocaml-opam-file-format. I think the v6 of the series built with
ocaml-opam-file-format at 2.1.4? Did updating dune mess up something?

In any case, I can confirm your findings that opam was not building in
the v7 (patchwork series 19770) and updating ocaml-opam-file-format to
2.1.6 fixes it.

Hold on for v8!

Cheers,
pukka